#ifndef CORTEOUI_H
#define CORTEOUI_H

#include <QtXml>
#include <QtGui>

#include "CorteoParamWidget.h"
#include "LayerForm.h"
#include "DetectorForm.h"
#include "CalibrationForm.h"

#include "XYQt/FSGraph.h"
#include "XYQt/PeriodicTable.h"

class CorteoUi : public QMainWindow
{
  Q_OBJECT

private:

  bool isError;

  CorteoParamWidget * paramUi; // parameter toolbox 
  QProgressDialog   * progress; // progress bar during simulations

  QTabWidget * tab; // tab containing graphs and constituing main window

  FSGraph * mainGraph;
  FSGraph * angleGraph;

  QString corteoOutput, corteoError;
  
  bool runCorteo(int ilayer, int ielement, int isotope, int iSim, int numSim);
  void endSimulations();
  
public:
  CorteoUi(QWidget *parent = 0, int maxlayer = 5, int maxelement = 5, QSplashScreen * splash = 0);
  bool simulateImplantation();
  bool simulateIBA();
  
public slots:

  bool go();

};

#endif // CORTEOUI_H



