#include <QApplication>
#include <QSplashScreen>
#include <QString>

#include "CorteoUi.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
  Q_INIT_RESOURCE(CorteoUi);


  // splash screeen
  QSplashScreen * splash = new QSplashScreen(QPixmap(":/images/splash.png")); // from resources
  splash->show();

  int numberLayer = 5;
  int numberElement = 5;

  if(argc>=2 && argc<=3) {

    // first argument is the number of layers
    bool ok;
    QString str = QString(argv[1]);

    // convert it to int and check if conversion was ok
    int val = str.toInt(&ok);
    if(ok && val>0) numberLayer = val;

    if(argc==3) {
      // second argument is the number of element in each layer
      str = QString(argv[2]);

      // convert it to int and check if conversion was ok
      val = str.toInt(&ok);
      if(ok && val>0) numberElement = val;
    }
  }


  // create and show CorteuUi
  CorteoUi * corteoUi = new CorteoUi(NULL, numberLayer, numberElement, splash);
  corteoUi->show();

  // delete splash screen
  splash->finish(corteoUi);
  delete splash;

  // run corteoUi
  return app.exec();
}
